Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface UserInfoConfigurationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface UserInfoConfigurationMBean
extends weblogic.management.configuration.ConfigurationMBean

Configuration MBean interface for Users in WLI.

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `deleteWLIUserInfo(String userid)` Removes this user information from the WLI database
`String` | `getUserCalendarId(String userid)` Retrieve the calendar id for this user
`String` | `getUserEmail(String userid)` Retrieve the email address for this user.
`void` | `sync()` Removes all users from the WLI database that do not exist in WLS
`void` | `unsetUserCalendar(String userid)` Unsets the calendar for this user.
`void` | `updateUserCalendar(String userid, String calendarId)` Sets the calendar for this user.
`void` | `updateUserEmail(String userid, String email)` Sets the email address for this user.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### updateUserEmail

    public void updateUserEmail(String userid,
                                String email)
                         throws javax.management.MBeanException

  Sets the email address for this user. A user record is created if it does not exist in the WLI database. Exception is thrown if the user is not a valid WLS user.

  Parameters:
    `userid` -
    `email` -
  Throws:
    `javax.management.MBeanException`

### getUserEmail

    public String getUserEmail(String userid)
                        throws javax.management.MBeanException

  Retrieve the email address for this user.

  Parameters:
    `userid` -
  Returns:
    The email address of the user or null if there is no email address is found.
  Throws:
    `javax.management.MBeanException`

### updateUserCalendar

    public void updateUserCalendar(String userid,
                                   String calendarId)
                            throws javax.management.MBeanException

  Sets the calendar for this user. A user record is created if it does not exist in the WLI database. Exception is thrown if the calendar does not exist or the user is not a valid WLS user.

  Parameters:
    `userid` -
    `calendarId` -
  Throws:
    `javax.management.MBeanException`

### unsetUserCalendar

    public void unsetUserCalendar(String userid)
                           throws javax.management.MBeanException

  Unsets the calendar for this user.

  Parameters:
    `userid` -
  Throws:
    `javax.management.MBeanException`

### getUserCalendarId

    public String getUserCalendarId(String userid)
                             throws javax.management.MBeanException

  Retrieve the calendar id for this user

  Parameters:
    `userid` -
  Returns:
    The calendar id for the user or null if there is no calendar.
  Throws:
    `javax.management.MBeanException`

### deleteWLIUserInfo

    public void deleteWLIUserInfo(String userid)
                           throws javax.management.MBeanException

  Removes this user information from the WLI database

  Parameters:
    `userid` -
  Throws:
    `javax.management.MBeanException`

### sync

    public void sync()
              throws javax.management.MBeanException

  Removes all users from the WLI database that do not exist in WLS

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD